<?xml version="1.0" encoding="UTF-8"?>
<web-app version="4.0" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd">
    <filter>
        <filter-name>InitCartFilter</filter-name>
        <filter-class>hu.bh.bh13.webshop.filters.InitCartFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>InitCartFilter</filter-name>
        <url-pattern>/home</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>InitCartFilter</filter-name>
        <url-pattern>/shoppingCart</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>InitCartFilter</filter-name>
        <url-pattern>/cashier</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>InitCartFilter</filter-name>
        <url-pattern>/product</url-pattern>
    </filter-mapping>
    <servlet>
        <servlet-name>ProductServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ProductServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ProductsOnSale</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ProductsOnSale</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ProductDetail</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ProductDetail</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LoginServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.LoginServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LogoutServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.LogoutServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>RegistrationServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.RegistrationServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ShoppingCartServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ShoppingCartServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>AboutUsServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.AboutUsServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>FaqServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.FaqServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ForgottenPassword</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ForgottenPassword</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ChangePassword</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ChangePassword</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>Index</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.Index</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>CashierServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.CashierServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ContactServlet</servlet-name>
        <servlet-class>hu.bh.bh13.webshop.servlets.ContactServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>Index</servlet-name>
        <url-pattern>/home</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ProductServlet</servlet-name>
        <url-pattern>/product</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ProductsOnSale</servlet-name>
        <url-pattern>/productsOnSale</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ProductDetail</servlet-name>
        <url-pattern>/productdetail</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LoginServlet</servlet-name>
        <url-pattern>/login</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LogoutServlet</servlet-name>
        <url-pattern>/logout</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>RegistrationServlet</servlet-name>
        <url-pattern>/registration</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ShoppingCartServlet</servlet-name>
        <url-pattern>/shoppingCart</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>CashierServlet</servlet-name>
        <url-pattern>/cashier</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>AboutUsServlet</servlet-name>
        <url-pattern>/aboutus</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>FaqServlet</servlet-name>
        <url-pattern>/faq</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ForgottenPassword</servlet-name>
        <url-pattern>/forgottenpw</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ChangePassword</servlet-name>
        <url-pattern>/changepw</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ContactServlet</servlet-name>
        <url-pattern>/contact</url-pattern>
    </servlet-mapping>
    <session-config>
        <session-timeout>
            30
        </session-timeout>
    </session-config>
    <!--    <ejb-local-ref>
        <ejb-ref-name>loginCustomer</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <ejb-link>#LoginCustomer</ejb-link>
    </ejb-local-ref>-->
</web-app>
